Subject: Ignoring of inheritance type in FlowAnnotationDriver no longer works

Description

Due to weird circumstances the tests for the FlowAnnotationDriver were skipped for a while, and change

le6e46efa858a651b2f1fe4b08d78039249504dea broke the functionality to disable inheritance of no subclasses exist for a class

annotated with an InheritanceType annotation.

Associated revisions

Revision 93fbe9fc - 2013-05-16 01:11 - Karsten Dambekalns

[BUGFIX] Ignoring of inheritance type in FlowAnnotationDriver broken

Due to weird circumstances the tests for the FlowAnnotationDriver were

skipped for a while, and change le6e46efa858a651b2f1fe4b08d78039249504dea
broke the functionality to disable inheritance of no subclasses exist

for a class annotated with an InheritanceType annotation.

This changes fixes that.

Change-Id: 1063871f38340c34ce3b52a4e09a3ff2081a8782

Fixes: #48231

Releases: master, 2.0

Revision 69¢6576f - 2013-05-24 22:30 - Karsten Dambekalns

[BUGFIX] Broken inheritance type handling in FlowAnnotationDriver

This reverts commit 93fbe9fc8d789547f05eec2b4945ebb6c565fa3fa because
it broke more than it was supposed to fix.

The failing test that led to the original "fix" was in fact broken and
is fixed with this change.

Change-Id: laaecffad1c10d7cfde310c67237cfcc96164e4cc

Related: #48231
Releases: master

History

#1 - 2013-05-16 01:11 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.0rg/20817

#2 - 2013-05-22 10:51 - Gerrit Code Review

Patch set 1 for branch 2.0 has been pushed to the review server.
It is available at https://review.typo3.0rg/20970

#3 - 2013-05-22 11:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:93fbe9fc8d789547f05eec2b4945eb6c565fa3fa.

#4 - 2013-05-24 16:42 - Marco Falkenberg
After applying the changeset the persistence (load/update/create) of subclasses fails, if you use a repository to the corresponding abstract super class.

Doctrine tries to persist all the properties of the super class for the table of the sub class.

#5 - 2013-05-24 22:17 - Karsten Dambekalns
- Status changed from Resolved to Accepted

So this "fix" actually broke things. Sorry for that, a revert is on the way.

#6 - 2013-08-14 15:35 - Karsten Dambekalns

- Target version changed from 2.0 to 2.0.1
#7 - 2013-08-14 15:45 - Karsten Dambekalns

- Status changed from Accepted to Resolved
- Target version changed from 2.0.1 to 2.0
